Bug 88014 - Patch for devel/boost port to (optionally) build using GCC 3.4 on FreeBSD 4.x
Summary: Patch for devel/boost port to (optionally) build using GCC 3.4 on FreeBSD 4.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-26 09:50 UTC by Václav Haisman
Modified: 2005-11-09 14:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Václav Haisman 2005-10-26 09:50:16 UTC
This patch allows me to build Boost with GCC 3.4 which makes it much more usable on FreeBSD 4.11

http://logout.sh.cvut.cz/~wilx/boost-Makefile.patch
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-10-26 20:03:28 UTC
Responsible Changed
From-To: freebsd-bugs->barner

Make this a ports PR and assign.
Comment 2 Simon Barner freebsd_committer 2005-10-27 08:55:59 UTC
State Changed
From-To: open->feedback

Asked maintainer to 
- use Spirit 1.8 w/ gcc 3.4 
- redo the patch against Boost 1.33.0 that will be committed 
after the end of the slush.
Comment 3 Simon Barner freebsd_committer 2005-11-09 14:39:21 UTC
State Changed
From-To: feedback->closed

I integrated a slightly modified version of your patch during the update 
to Boost 1.33.0!